Bug 138385 - CAN-2004-0981 buffer overflow in ImageMagick's EXIF parser
Summary: CAN-2004-0981 buffer overflow in ImageMagick's EXIF parser
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=important,public=20041026
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-08 19:35 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-19 03:04:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-11-08 19:35:11 UTC
A buffer overflow in imagemagick's EXIF parsing routine was fixed in
version 6.1.0: Trying to query EXIF information of a malicious image
file might result in execution of arbitrary code.

There is much more information in the Debian BTS.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=278401

This issue should also affect FC2


Note You need to log in before you can comment on or make changes to this bug.